RUN(1)

NAME
run - Utility for running the Delft InSAR processor.

SYNOPSIS
run -s/-e/-v step -ql [-f inputfile -r file-id -d]
run -g [-M master -S slave -B baseline -R remark -A author]
run -h

DESCRIPTION
This manual page documents briefly the run command.

This script is convenient for running the Doris InSAR software. It generates template input files, and serves as a shell. It allows you to edit the generated input, and to run Doris. Of course the results can also be viewed.
The environment variables PAGER and EDITOR are used (if set) for viewing and editing. In your current setup, the programs "less" and "vim" are used respectively. The executable: "doris" is used (run -s step).

GENERATING OPTIONS

-g  Generate directories, template input files.
    Use -M -S -A -B -R to specify comments in template input files.
    It makes the following directories:
     for the input files: "Inputfiles/"
     for the redirected stdout: "Outinfo/"
     for data output: "Outdata/"
    Either the program:
     "doris" (default in your path),
     "doris.debug" (-d option), or
     "./processor" (if it exists).
    is called.

-M master
    Only in combination with -g option.
    Specify name for master image (e.g., orbit number).
    This variable is used to name the output data files and as a comment at the top of the input files.
    The M_RESFILE is assigned to 'master'.res
    The I_RESFILE is assigned to 'master_slave'.res

-S slave
    Only in combination with -g option.
    Specify name for slave image (e.g., orbit number).
    This variable is used to name the output data files and as a comment at the top of the input files.
    The S_RESFILE is assigned to 'slave'.res
    The I_RESFILE is assigned to 'master_slave'.res

-A author
    Only in combination with -g option.
    Specify name of author/ person who is processing.
    Used only as a comment at the top of the input files.

-B baseline
    Only in combination with -g option.
    Specify baseline (e.g., 100).
    Used only as a comment at the top of the input files.

-R remarks
    Only in combination with -g option.
    Specify any remarks on the processing.
    Used only as a comment at the top of the input files.

PROCESSING OPTIONS

-e step
    Edit the inputfiles. then exit (no processing).

-ql Quicklook processing. (Edit input: run -e1; run -e2; run -e9).
    If run -s1 has not been done yet, it perform it.
    If run -s2 has not been done yet, it perform it.
    Then it copies the to master_QL.res and to slave_QL.res
    Finally it runs doris with options in run -e9 (all steps for interferogram).

-s step
    Process the input file for this step.
     1: initial steps for master (readfiles, crop, porbits)
     2: initial steps for slave (readfiles, crop, porbits)
     3: coregistration (coarse, fine)
     4: compute coregistration parameters and perform resampling
     5: interferometric product generation and reference phase
     6: phase filtering (and phase unwrapping)
     7: slant to height conversion and geocoding
     8: n/a
     9: quicklook processing.
    The "quicklook processing" step first performs a run -s1 and a run -s2 to read master and slave. Make sure that you have edited the input files with run -e1 and run -e2. Then, all steps to quickly create an interferogram are performed. You can edit that with run -e9, but there should be no need for that.

-v step
    View output file of step.

-r file-ID
    View/edit result output file.
     1: "" (master result file)
     2: "" (slave result file)
     3: "" (interferogram result file)
     4: "doris.log" (logfile)

FURTHER OPTIONS

-f infile
    Specify an input file to process. Useage of this option is discouraged, use option -s step. (or use command line syntax if you like that better.)

-d  Use debugger version: doris.debug
    instead of regular: doris
    These executables have to be in your path. This option can be used if normal processing goes wrong. The redirected stdout can get very large (2GB) with this option.

-h  Show summary of options.

EXAMPLES
Normally, the processing starts by generating input files: run -g
Then, check/edit the input for the first step: run -e1
Next the executable doris is called by: run -s1
The output can be viewed with: run -v1
for the stdout and with: run -r[1/2/3/4]
The processing continues with the next step: run -e2 etc.
To generate the input files for master 21066, slave 01393, with a baseline of about 100m for testing purposes:
  run -g -M 21066 -S 01393 -R "Testing generate option" -B 100 To edit the input file for step one:
  run -e 1 To run first step, and put output file (redirected stout) in dir:
  run -s 1 To view the output file for step one:
  run -v 1 To run an input file named inputA in the current directory (discouraged with -f):
  run -f inputA
  doris inputA > outputA

SEE ALSO
doris(1), helpdoris(1), plotoffsets(1), plotcpm(1).
The DORIS User Manual, available in /usr/share/doc/doris-doc.

KNOWN BUGS
It is not possible to edit more then one file with the -e option.

AUTHOR
run is written by Bert Kampes, Delft University, (c)1999-2003, b.m.kampes@lr.tudelft.nl.

This manual page was written by Antonio Valentino <antonio.valentino@tiscali.it>, for the Debian project (and may be used by others).